Page MenuHomePhabricator

Test payments-wiki extensions on MediaWiki 1.35
Closed, ResolvedPublic4 Estimated Story Points

Description

Tests should cover all the major code paths for the DonationInterface and FundraisingEmailUnsubscribe extensions.

Event Timeline

Ejegg created this task.Aug 17 2020, 9:39 PM
Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptAug 17 2020, 9:39 PM
DStrine set the point value for this task to 4.Aug 18 2020, 8:20 PM
DStrine triaged this task as High priority.Aug 18 2020, 9:03 PM

Change 622401 had a related patch set uploaded (by Cstone; owner: Cstone):
[mediawiki/extensions/DonationInterface@master] WIP for 1_35: Update Mustache for LightnCandy 1.2.5

https://gerrit.wikimedia.org/r/622401

mepps added subscribers: Cstone, mepps.EditedSep 1 2020, 1:13 PM

@Ejegg @Cstone what are next steps on this task again--could it be in review? Okay, I see it's not passing CI yet.

Change 626181 had a related patch set uploaded (by Ejegg; owner: Cstone):
[mediawiki/extensions/DonationInterface@fundraising/REL1_35] Update Mustache for LightnCandy 1.2.5 for MediaWiki 1.35

https://gerrit.wikimedia.org/r/626181

Change 626181 merged by Ejegg:
[mediawiki/extensions/DonationInterface@fundraising/REL1_35] Update Mustache for LightnCandy 1.2.5 for MediaWiki 1.35

https://gerrit.wikimedia.org/r/626181

Change 622401 abandoned by Ejegg:
[mediawiki/extensions/DonationInterface@master] Update Mustache for LightnCandy 1.2.5 for MediaWiki 1.35

Reason:
Meant to review against fundraising/REL1_35, not master

https://gerrit.wikimedia.org/r/622401

Jgreen added a subscriber: Jgreen.Sep 21 2020, 8:04 PM
  • frdeploy project payments-wiki-staging is adjusted to point to branch: 'fundraising/REL1_31'
  • we still need to adjust mariadb replication to make a separate codfw paymentsdb cluster with payments2001 as source server, and payments2002-2003 as replicas
  • we also need to clone the localsettings configuration tree and adjust for the staging environment
  • payments2001 is already origin server for payments200* as of 2/6/20
  • refreshed payments2001 to current payments1001 state
  • adjusted monitoring to correctly identify payments2001 as origin server for codfw

I updated the frdeploy payments-wiki branch to match payments-wiki-staging (which is what we're currently running on). We still have to clean up the payments-wiki localsettings tree before we can switch over to the payments-wiki frdeploy project.

payments-wiki localsettings tree is updated to match payments-wiki-staging. In the process I noticed payments-wiki-staging/employers.csv is just the stub file, so I did not port that back to payments-wiki.

DStrine closed this task as Resolved.Oct 27 2020, 8:33 PM